SVN_URL="file:///Users/Shared/Repositories/Sudoku/trunk"
TARGET_NAME=Sudoku
RAMDISK_SIZE_MB=10

ZIP_PATH=$PWD/$TARGET_NAME.zip
SOURCE_ZIP_PATH=$PWD/${TARGET_NAME}-Source.zip

# Last Changed Rev: 2
# Last Changed Date: 2008-03-10 16:11:04 -0400 (Mon, 10 Mar 2008)
SVN_REVISION=`svn info $SVN_URL | grep "Last Changed Rev: " | sed 's/.*: //'`

SECTOR_COUNT=$((2048 * $RAMDISK_SIZE_MB))
DEVICE=`hdiutil attach -nomount ram://$SECTOR_COUNT`
echo "Created ramdisk $DEVICE"

MOUNT_POINT=`mktemp -d /tmp/ramdisk.XXXXXX`
newfs $DEVICE
mount -t ufs $DEVICE $MOUNT_POINT

# BUILD

SOURCE_PATH=$MOUNT_POINT/$TARGET_NAME

svn export "$SVN_URL" "$SOURCE_PATH"
cd $SOURCE_PATH
zip -r $SOURCE_ZIP_PATH .

xcodebuild \
	-configuration Release \
	-target $TARGET_NAME \
	build \
	OBJROOT=$MOUNT_POINT/Build/Intermediate \
	SYMROOT=$MOUNT_POINT/Build/Products \
	SVN_REVISION="$SVN_REVISION" \
	SVN_DATETIME="$SVN_DATETIME"
	
cd $MOUNT_POINT/Build/Products/Release
zip -r $ZIP_PATH .
cd $SOURCE_PATH

# CLEANUP
umount -f $DEVICE
hdiutil detach $DEVICE
rmdir $MOUNT_POINT
